package rmipackage;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.RemoteException;

// indítás előtt szükség van az rmiregistry elindítására
// az rmiregistry programot a kódbázis könyvtárában kell elindítani
// jelen esetben a projekt könyvtárán belül ez a build/classes

public class StartRemoteServer {
    public static void main(String[] args) {
        try {
            System.out.println("indítom...");
            RemoteInterface service = new RemoteServer();
            System.out.println("rmiregistry...");
            Naming.rebind("Teszt", service);
            System.out.println("elindult");
        } catch (MalformedURLException ex) {
        } catch (RemoteException ex) {
        }
    }
}